﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SpecCharMask
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            string MaskStr = @"{char:200:0-9a-zA-Z\/@-_.#$%^ }";
            xamMaskedEditor1.Mask = MaskStr;
            xamMaskedEditor1.Value = @"////\\\\\";
            xamMaskedEditor2.Value = "";

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string edit1 = xamMaskedEditor1.Value.ToString();
            string edit2 = xamMaskedEditor2.Value.ToString();

            textBox1.Text ="Editor1:" + edit1 + "\nEditor2:" + edit2;
        }
    }
}
